Package com.xebialabs.xlrelease.api.v1.forms

## Class StartRelease

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.CreateRelease
  - - com.xebialabs.xlrelease.api.v1.forms.StartRelease

-     public class StartRelease
      extends CreateRelease

  All the parameters needed to start a release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StartRelease()` |
    `StartRelease​(java.lang.String title, java.lang.String folderId, java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `StartRelease​(java.lang.String title, java.lang.String folderId, java.util.Map<java.lang.String,​java.lang.String> variables, java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)` |
    `StartRelease​(java.lang.String title, java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `StartRelease​(java.lang.String title, java.util.Map<java.lang.String,​java.lang.String> variables, java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)` |

  - ### Method Summary

    - ### Methods inherited from class com.xebialabs.xlrelease.api.v1.forms.CreateRelease

      `getAutoStart, getFolderId, getReleaseOwner, getReleasePasswordVariables, getReleaseTitle, getReleaseVariables, getScheduledStartDate, getStartedFromTaskId, getVariables, hasScheduledStartDate, setAutoStart, setFolderId, setReleaseOwner, setReleasePasswordVariables, setReleaseTitle, setReleaseVariables, setScheduledStartDate, setStartedFromTaskId, setVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartRelease

          public StartRelease()

    - #### StartRelease

          public StartRelease​(java.lang.String title,
                              java.util.Map<java.lang.String,​java.lang.String> variables,
                              java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)

    - #### StartRelease

          public StartRelease​(java.lang.String title,
                              java.lang.String folderId,
                              java.util.Map<java.lang.String,​java.lang.String> variables,
                              java.util.Map<java.lang.String,​java.lang.String> releasePasswordVariables)

    - #### StartRelease

          public StartRelease​(java.lang.String title,
                              java.util.Map<java.lang.String,​java.lang.Object> variables)

    - #### StartRelease

          public StartRelease​(java.lang.String title,
                              java.lang.String folderId,
                              java.util.Map<java.lang.String,​java.lang.Object> variables)